> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update External Resolver



## OpenAPI

````yaml /openapi.json put /external-resolvers/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /external-resolvers/{id}:
    put:
      tags:
        - External Resolver
        - External Resolver
      summary: Update External Resolver
      operationId: updateExternalResolver
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateExternalResolverDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateExternalResolverDto:
      type: object
      properties:
        href:
          type: string
          description: The href of the External Resolver.
        pattern:
          type: string
          description: The pattern of the External Resolver.
        qualifier:
          type: string
          description: The qualifier of the External Resolver.
        childExternalResolvers:
          description: The creation data of the External Resolver.
          type: array
          items:
            type: string
      required:
        - href
        - pattern
        - qualifier
        - childExternalResolvers

````